> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Insight

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/insights/{insightId}
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/insights/{insightId}:
    get:
      tags:
        - admin
      summary: Get Insight
      operationId: getInsight
      parameters:
        - name: insightId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultAdminInsightView'
components:
  schemas:
    SuccessResultAdminInsightView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdminInsightView'
    AdminInsightView:
      type: object
      properties:
        insightId:
          type: integer
          format: int64
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        type:
          type: string
        scope:
          type: string
        name:
          type: string
        categories:
          type: array
          items:
            type: string
        content:
          type: string
        points:
          type: array
          items:
            $ref: '#/components/schemas/InsightPoint'
        groupName:
          type: string
        lastReasonedAt:
          type: string
          format: date-time
        summaryEmbedding:
          type: array
          items:
            type: number
            format: float
        tier:
          type: string
        parentInsightId:
          type: integer
          format: int64
        childInsightIds:
          type: array
          items:
            type: integer
            format: int64
        version:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    InsightPoint:
      type: object
      properties:
        pointId:
          type: string
        type:
          type: string
          enum:
            - SUMMARY
            - REASONING
        content:
          type: string
        sourceItemIds:
          type: array
          items:
            type: string
        sourcePointRefs:
          type: array
          items:
            $ref: '#/components/schemas/InsightPointRef'
        metadata:
          type: object
          additionalProperties:
            type: string
    InsightPointRef:
      type: object
      properties:
        insightId:
          type: integer
          format: int64
        pointId:
          type: string

````